# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2018-01-14 06:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0071_auto_20180113_1912'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionPurchase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('returned', models.BooleanField(default=False)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bookslist', to='mainApp.Book')),
                ('shipment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shipmentsubscription', to='mainApp.Shipment')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subuser', to='mainApp.BookedUser')),
            ],
            options={
                'verbose_name': 'Subscription',
            },
        ),
    ]
